<section class="nevis-account-public-info  grid-indent">
  <h2 class="visually-hidden">{{app.i18n('title', i18n)}}</h2>

  <button class="nevis-account-public-info__btn-refresh"
          mat-button
          (click)="performReadFromServer()">
    <svg width="30" height="30" viewBox="0 0 50 50" xmlns="http://www.w3.org/2000/svg">
      <use xlink:href="#svg-refresh"></use>
    </svg>
    {{app.i18n('refresh', i18n)}}
  </button>

  <div class="nevis-account-public-info__block1">

    <dwfe-preview-pic-circled class="nevis-account-public-info__userpic"
                              [picUrl]="publicInfo.access.avatarUrl"
                              [previewWHinPx]="85"
                              [showClearBtn]="false"></dwfe-preview-pic-circled>

    <table class="nevis-account-public-info__table">
      <tbody>
      <tr>
        <td class="label">{{app.i18n('param_id', i18n)}}:</td>
        <td class="data">{{id}}</td>
      </tr>
      <tr>
        <td class="label">{{app.i18n('param_nickname', i18n)}}:</td>
        <td class="data">
          <div *ngIf="publicInfo.personal.nickName !== hiddenValue; else protectedContent">
            {{publicInfo.personal.nickName}}
          </div>
        </td>
      </tr>
      <tr>
        <td class="label">{{app.i18n('param_email', i18n)}}:</td>
        <td class="data">
          <div *ngIf="publicInfo.email.value !== hiddenValue; else protectedContent">
            {{publicInfo.email.value}}
          </div>
        </td>
      </tr>
      <tr>
        <td class="label">{{app.i18n('param_phone', i18n)}}:</td>
        <td class="data">
          <div *ngIf="publicInfo.phone.value !== hiddenValue; else protectedContent">
            {{publicInfo.phone.value}}
          </div>
        </td>
      </tr>
      </tbody>
    </table>

  </div>

  <mat-divider></mat-divider>

  <table class="nevis-account-public-info__table">
    <tbody>
    <tr>
      <td class="label">{{app.i18n('param_first_name', i18n)}}:</td>
      <td class="data">
        <div *ngIf="publicInfo.personal.firstName !== hiddenValue; else protectedContent">
          {{publicInfo.personal.firstName}}
        </div>
      </td>
    </tr>
    <tr>
      <td class="label">{{app.i18n('param_middle_name', i18n)}}:</td>
      <td class="data">
        <div *ngIf="publicInfo.personal.middleName !== hiddenValue; else protectedContent">
          {{publicInfo.personal.middleName}}
        </div>
      </td>
    </tr>
    <tr>
      <td class="label">{{app.i18n('param_last_name', i18n)}}:</td>
      <td class="data">
        <div *ngIf="publicInfo.personal.lastName !== hiddenValue; else protectedContent">
          {{publicInfo.personal.lastName}}
        </div>
      </td>
    </tr>
    <tr>
      <td class="label">{{app.i18n('param_gender', i18n)}}:</td>
      <td class="data">
        <div *ngIf="publicInfo.personal.gender !== hiddenValue; else protectedContent">
          {{publicInfo.personal.gender}}
        </div>
      </td>
    </tr>
    <tr>
      <td class="label">{{app.i18n('param_date_of_birth', i18n)}}:</td>
      <td class="data">
        <div *ngIf="publicInfo.personal.dateOfBirth !== hiddenValue; else protectedContent">
          {{publicInfo.personal.dateOfBirth}}
        </div>
      </td>
    </tr>
    <tr>
      <td class="label">{{app.i18n('param_country', i18n)}}:</td>
      <td class="data">
        <div *ngIf="publicInfo.personal.country !== hiddenValue; else protectedContent">
          {{publicInfo.personal.country}}
        </div>
      </td>
    </tr>
    <tr>
      <td class="label">{{app.i18n('param_city', i18n)}}:</td>
      <td class="data">
        <div *ngIf="publicInfo.personal.city !== hiddenValue; else protectedContent">
          {{publicInfo.personal.city}}
        </div>
      </td>
    </tr>
    <tr>
      <td class="label">{{app.i18n('param_company', i18n)}}:</td>
      <td class="data">
        <div *ngIf="publicInfo.personal.company !== hiddenValue; else protectedContent">
          {{publicInfo.personal.company}}
        </div>
      </td>
    </tr>
    <tr>
      <td class="label">{{app.i18n('param_position_held', i18n)}}:</td>
      <td class="data">
        <div *ngIf="publicInfo.personal.positionHeld !== hiddenValue; else protectedContent">
          {{publicInfo.personal.positionHeld}}
        </div>
      </td>
    </tr>
    </tbody>
  </table>

  <dwfe-overlay *ngIf="isLocked"></dwfe-overlay>

</section>

<ng-template #protectedContent>
  <svg class="nevis-account-public-info__svg-lock"
       width="13" height="13" viewBox="0 0 50 50" xmlns="http://www.w3.org/2000/svg">
    <use xlink:href="#svg-lock-v1"></use>
  </svg>
</ng-template>
